Install problems continue - server and upgrade errors...

Hi

Me again :) I'm new to DNN and thought I had installed 1.0.8 OK - played with it for a while on my local machine (http://localhost/dotnetnuke) yesterday - threw up a few errors when I tried to use the HTML editor but I thought I could come back and fix that.
But now I have real BIG errors - first I get what looks like an IIS error:

"Server Error in '/DotNetNuke' Application.
Timeout expired. The timeout period elapsed prior to obtaining a connection from the pool. This may have occurred because all pooled connections were in use and max pool size was reached. etc..."

Then if I refresh this page I sometimes get this message:
"DotNetNuke Upgrade Error
The Assembly Version ( 1.0.8 ) does not match the Database Version ( 1.0.-1 )
The required SQL Upgrade Scripts exist in the Database folder but have not been executed.
Please select the following link to continue.
Upgrade (this is the link) "

So I click on the Upgrade link above and I get this:
"Server Error in '/DotNetNuke' Application.
Object reference not set to an instance of an object.
Description: An unhandled exception occurred during the execution of the current web request. Please review the stack trace for more information about the error and where it originated in the code.
Exception Details: System.NullReferenceException: Object reference not set to an instance of an object.
Source Error:
An unhandled exception was generated during the execution of the current web request. Information regarding the origin and location of the exception can be identified using the exception stack trace below.
Stack Trace:

[NullReferenceException: Object reference not set to an instance of an object.]
DotNetNuke.Global.Application_AuthenticateRequest(Object sender, EventArgs e) +1161
System.Web.SyncEventExecutionStep.System.Web.HttpApplication+IExecutionStep.Execute() +60
System.Web.HttpApplication.ExecuteStep(IExecutionStep step, Boolean& completedSynchronously) +87"

I have absolutely no idea what is going on now, or what I should do! I have spent days now trying to get DNN up and running - I would like to use and support it...I really would...but my patience is running out. Some decent and clear installation documentation and/or script with set-up examples would help for a start...
If anyone can help with some clear installation instructions or advice for a DNN newbie like me I would really appreciate it :)
Sorry for the rant but it's late on Friday evening and I've spent too long trying to get DNN to work when I could have been out living a life ... :)
Cheers
Kevin
PS As an exercise I tried installing the IBuySpy portal that DNN is based on. Click on one .exe file...installed like a dream - played with it for several hours - no problems.


0
kjp6uk3
5/17/2003 12:10:26 AM
asp.net.dotnetnuke 25171 articles. 0 followers. Follow

5 Replies
576 Views

Similar Articles

[PageSpeed] 10
Get it on Google Play
Get it on Apple App Store

It looks to me that the Application is not installing the Databases in succession and has stuck on version one. either you dump the lot and start again or have a go at running the sql scripts from 1-8 in succession in query analizer. More details of your set up is needed..

Salar


KnapHill, Surrey UK

Skinning & Building DotNetNuke Applications
www.salaro.com

0
Salaro
5/17/2003 7:46:26 AM
All of your issues stem from the first error:

Timeout expired. The timeout period elapsed prior to obtaining a connection from the pool. This may have occurred because all pooled connections were in use and max pool size was reached. etc..."
What is going on with your DB? This error can sometimes happen if DataReader connections are not closed but the core DNN source code does not suffer from this problem ( if it did then the DotNetNuke.Com site would be down almost instantly ). Have you installed any custom code of your own or external modules into DNN which could result in this problem?
The second error message is related to the first:
"DotNetNuke Upgrade Error
The Assembly Version ( 1.0.8 ) does not match the Database Version ( 1.0.-1 )
The function GetVersion has general Try...Catch error handling which is used to test if the DB exists. In this case because the connection timed out, the application thinks the DB does not exist ( hence the 1.0.-1 version number ). Clicking the Upgrade link will attempt to execute ALL of the SQL scripts over again ( which is obviously not a good thing either ).
The bottom line is you need to solve the DB connectivity/time out issue. I have a feeling this is not related to the DNN software but if I am wrong I would appreciate you sharing the solution with the community.

Shaun Walker
Perpetual Motion Interactive Systems Inc.
http://www.dotnetnuke.com
DotNetNuke on SourceForge.Net
0
sbwalker
5/17/2003 7:53:43 AM
Hi

Thanks for all your help. In the end I deleted the DotNetNuke database, rebooted and started again (again :) ). Seems to be working OK now...fingers crossed... :)
Keep up the good work.
Cheers
Kevin
0
kjp6uk3
5/18/2003 9:15:07 PM
Hi Shaun,

I got the
"DotNetNuke Upgrade Error
The Assembly Version ( 1.0.8 ) does not match the Database Version ( 1.0.0 )
The required SQL Upgrade Scripts exist in the Database folder but have not been executed.
Please select the following link to continue. Upgrade "
Only, this one is saying db version (1.0.0) and I wasn't getting timed out or anything.
What am I doing ... well I was installing xml skins 1.5 for 1-08. I copied all the relevant files including the 3 *.sql files into the database folder and browsed over to /localhost/dotnetnuke and bam! The upgrade does not do anything for me. I looked in dbo.version and I have major=1, minor=0 for build=1 thru 8
Should I be scratching DNN and re-install everything all over? I'd appreciate thoughts, advise.
Thanks a lot
Aaj
0
Aaj
5/23/2003 7:44:12 AM
This also seems to happen if you have a circular tab reference set up, such as "tab a is the parent of tab b, and tab b is the parent of tab c, which is the parent of tab a."

In this case, you get a timeout because the select statement is stuck in a hard loop and the connection times out, not because a connection is not available (this is listed in the error description as a possibility, but it is not the culprit in this scenario).
The fix is to look at the Tabs table and try to suss out where the circular reference is.
Hope this helps.
-- Bruce
--Bruce
0
bonder
8/11/2003 3:46:21 AM
Reply:

Similar Artilces:

3.0.7 fresh install error = DotNetNuke Upgrade Error????
Hi I have DNN installed with "dotnetnuke" SQL DB I downloaded 3.0.7 and made a new install over a "dnn" SQL DB I am getting this error when I run the page: DotNetNuke Upgrade Error The Assembly Version ( [ASSEMBLYVERSION] ) does not match the Database Version ( [DATABASEVERSION] ) ERROR: Could not connect to database specified in connectionString for SqlDataProvider I am using IIS 5.1 Windows XP SP2 I tried using (local), localhost, ..etc all failed Are you using visual studio? Can you create any web in the IDE? If you can then table on the pa...

DotNetNuke Upgrade Error ?? I'm not upgrading I'm installing a fresh new package.
So I downloaded and installed into my C:\webs\www\cms.taylorpond.com folder this install version: DotNetNuke_3.1.0_Install.zip - I followed the directions and created a virtual directory, I added the ASP.net permissions on the www folder, then I went to the realease.config file and created a sql db with a username/password to my sql box where in enterprise manager I created a db over there. When I connected to the site I get the following error:, if someone could please advise. DotNetNuke Upgrade ErrorThe Assembly Version ( [ASSEMBLYVERSION] ) does not match the Database Version ( [DATABASE...

DNN install
i did a clean install of Dotnetnuke 2.1.2 with xp pro and sql server 2000, but am getting the following error DotNetNuke Upgrade Error The Assembly Version ( [ASSEMBLYVERSION] ) does not match the Database Version ( [DATABASEVERSION] ) ERROR: Could not connect to database. Could not find stored procedure 'dbo.GetPortals'. can anyone help i did get this to work after yet another clean install and changing my connection string to the name of my local pc and server. couldn't get it to work with localhost i guess. this has been a frustrating experience! xp sp2 has a probl...

I have a problem in dotnetnuke installation, configuration error
Some body knows what I must to do, in order to fix this error: Configuration Error Description: An error occurred during the processing of a configuration file required to service this request. Please review the specific error details below and modify your configuration file appropriately. Parser Error Message: Exception in configuration section handler.Source Error: Line 157: commandTimeout="int" Command timeout value for SQL command Line 158: --> Line 159: <roleManager Line 160: cacheRolesInCookie="true" Line 161: cookieName=...

"Upgrade Error" Installation Problem.
I'm having trouble getting DNN set up correctly. For some reason it is not seeing my SQL database. I thought I properly edited the web.config file with the correct connection string, but wanted to see if I was missing something. My string is: <add key="SiteSqlServer" value="Server=FRANKLIN\APPLICATIONS;Database=DotNetNuke;uid=test;pwd=test;" /> I've double checked my permissions, and can ping FRANKLIN fine. Could the problem be the "APPLICATIONS" instance? Any thoughts would be greatly appriciated. I personally have not set DNN up with the...

The installer has encountered an unexpected error installing this package. This may indicate a problem with this package. The error code is 2869.
Hello to all, I have create a web setup using visual studio 2005 using some custom actions 1. create database at installation time. 2. create connection pool in IIS7 for vista. We need to install and run successfully on vista as well as earlier version of windows like xp, win server, etc. I develop and install web setup on my vista home premium machine. It installed successfully and works fine. I also tested it on XP and Windows server 2003. It works fine on every plateform. But when i install it to on my client machines, It succesfully installed and execute on xp machines but wh...

DotNetNuke Upgrade error on clean install of 3.0.13
I wiped my machine clean, installed SQL Server 2000, VS .Net 2003, and DotNetNuke 3.0.13.  When I browse to my default.aspx for the first time, I get the error shown below.  I have tried the DotNetNukerUser and the sa account in the web config but both return the same result.  There is nothing in the error logs.  What should I look at next? DotNetNuke Upgrade ErrorThe Assembly Version ( [ASSEMBLYVERSION] ) does not match the Database Version ( [DATABASEVERSION] ) ERROR: Could not connect to database.The stored procedure 'dbo.GetPortalAliasByPortalID' doesn't exist. ...

I couldn't install Visual Studio.Net 2003, while installing an error message "Internal Error is comming"
[DMW: deleted due to the length of the log, and what follows is what's important][09/29/05,14:28:23] Visual Studio .NET Enterprise Architect 2003 - English: ***ERRORLOG EVENT*** : ACTION FAILURE: Action ended 14:28:23: CADpc.D0DF3458_A845_11D3_8D0A_0050046416B9. Return value 3. See MSI log for details.[09/29/05,14:28:23] Visual Studio .NET Enterprise Architect 2003 - English: ***ERRORLOG EVENT*** : ACTION FAILURE: Action ended 14:28:23: INSTALL. Return value 3. See MSI log for details.[09/29/05,14:28:30] Visual Studio .NET Enterprise Architect 2003 - English: MsiInstallProduct return cod...

IIS/.net framework installation problem : Parser Error Message: Required permissions cannot be acquired
Hello everyone, I try to launch a simple aspx page onto an W2k / IIS5.0 / .net framework 1.1 but still get this error message : Server Error in '/pagaille' Application. -------------------------------------------------------------------------------- Configuration Error Description: An error occurred during the processing of a configuration file required to service this request. Please review the specific error details below and modify your configuration file appropriately. Parser Error Message: Required permissions cannot be acquired. Source Error: ...

Inspiron 1000 install problem (11.1, 11.2, net install, dvd install)
Ok, I have a plain jane Inspiron 1000, 2ghz celeron, 256m ram, 40gig hd, dvd. I burned 11.2 to dvd, 11.1 to dvd, tried installing both. Both get the dreaded "cannot create repository" (i'm paraphrasing). No problem, I download and burn 11.1, 11.2 net install's, checksums check out ok. I go through the first part where it downloads stuff from download.opensuse.com (or something similiar), then it fails again, not able to install. I get no message on the net installs. Just fails real quick with a red box. I tried a text install, fails. What gives? --...

Problem installing sp1! (Fatal error during installation)
 Any ideas what could be the problem? Im using Vista x64. The error log...     Try running the vs 2008 service pack prep tool.  The try the install again.  You might have a vs 2008 hotfix that needs to be removed before sp 1 can install http://www.microsoft.com/downloads/details.aspx?FamilyID=a494b0e0-eb07-4ff1-a21c-a4663e456d9d&DisplayLang=enSilverlight-helpVb TipsSpace Coast .Net User Group  I got the same problem... My installation log is available here: http://s1.pticica.com/pticica/foto/0000443959_l_0_eiiogm.jpg I used the pre-install...

dotnetnuke upgrade error (but it's not an upgrade)
DotNetNuke Upgrade ErrorThe Assembly Version ( [ASSEMBLYVERSION] ) does not match the Database Version ( [DATABASEVERSION] ) ERROR: Could not connect to database.Login failed for user 'psully'. Reason: Not associated with a trusted SQL Server connection. But this is not an upgrade, it's the 1st time I've tried to use it. Actually,it the second install, but a clean one. I got this same error eventually on the first install last night. Deleted everything including the database and reinstalled. I have the database setup as Dotnetnuke with user 'psully' granted db_owner and password assigned the...

Install Problem DNN 4.0-'GetSetting' function, in 'DotNetNuke.Services.Upgrade.Config'
Please help! I get the error below wnen I try to compile DNN 4.0. I have been looking for 'GetSetting' function, in 'DotNetNuke.Services.Upgrade.Config', but it is not there. thank you!!!   Compiler Error Message: BC30456: 'GetSetting' is not a member of 'DotNetNuke.Services.Upgrade.Config'.Source Error: Line 77: Line 78: Dim AutoUpgrade As Boolean Line 79: If Config.GetSetting("AutoUpgrade") Is Nothing Then Line 80: AutoUpgrade = True Line 81: ElseSource File: V:\dnndev\App_Code\Global.asax.vb    Line: 79...

Frustrating error: "DotNetNuke Upgrade Error"
I've been struggling for hours trying to get DNN 4.0.2 (DotNetNuke_4.0.2_Install.zip) installed on a new PC. First, DotNetNuke_template.MDF was missing from the installer; then SiteUrls.config was missing from the installer. Fortunately, other users posted about this and had the issue addressed. Now I'm getting the following error within a few seconds of browsing to the install URL (http://localhost/DotNetNuke): DotNetNuke Upgrade ErrorThe Assembly Version ( [ASSEMBLYVERSION] ) does not match the Database Version ( [DATABASEVERSION] ) ERROR: Could not connect to database. An error has ...

Install problem, Kernel32.exe error near end of install.
I get the following error during install of powersite as stand-alone. I re-installed the client, and got the same error, same place in the install. "Powersite dll initilization failed. Init of the dynamic library c:\winnt\system32\kernel32.dll failed. The process is terminating abnormally." ...

Web resources about - Install problems continue - server and upgrade errors... - asp.net.dotnetnuke

Problem novel - Wikipedia, the free encyclopedia
Working class, or proletarian novels are often also social problem novels . This was in many ways a reaction to rapid industrialization , and ...

Audi says fixing diesel emission problem is simple
... Green , Audi , Porsche , Volkswagen , Emissions , Diesel , Luxury Audi believes a simple fix might be enough to solve the emissions problem ...

"I say, folks, you know, I’m sorry I did this to you, but you’ve got to get used to it. It’s one of those ...
"I’m going to win. ... You know, I’m not one of these other guys that goes down. I don’t go down. I go up." Donald Trump says get used to it ...

Trump: If GOP Does Not Stick to Our Deal ‘They’re Going to Have Problems’
Trump: If GOP Does Not Stick to Our Deal 'They're Going to Have Problems'

Social media addiction is a bigger problem than you think
Social networks are massively addictive. Most people I know check and interact on social sites constantly throughout the day. And they have no ...

Guilty verdict for Oklahoma ex-cop in serial rape trial: A national problem
Christian Science Monitor Guilty verdict for Oklahoma ex-cop in serial rape trial: A national problem Christian Science Monitor A former Oklahoma ...

3 and Out: Three big picture problems for the Patriots
... form Search 51° Main menu Home Celtics Patriots Red Sox Bruins Revolution More WRITERS Watch Shop NECN 3 and Out: Three big picture problems ...

In Ghana, the global problem of e-waste has local consequences
Consumers have a nasty habit of throwing out their electronics as soon as newer, shinier models become available, and they rarely ever do so ...

Ted Cruz denies questioning Donald Trump's judgment. Problem is, he did it on tape.
Did Ted Cruz question whether Donald Trump has the judgment to be president or did he not? Cruz, who has cuddled up to Trump throughout the campaign, ...

Time Travel Could Solve Complex Math Problems
A theoretical computing system could propel information through the very fabric of space-time.

Resources last updated: 12/14/2015 3:02:56 PM